summaryrefslogtreecommitdiff
path: root/package/busybox/files/ntpdate.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/busybox/files/ntpdate.init')
-rw-r--r--package/busybox/files/ntpdate.init20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/busybox/files/ntpdate.init b/package/busybox/files/ntpdate.init
new file mode 100644
index 000000000..d812c6b47
--- /dev/null
+++ b/package/busybox/files/ntpdate.init
@@ -0,0 +1,20 @@
+#!/bin/sh
+#PKG busybox
+#INIT 55
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${ntpdate:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/ntpd -n -q $ntpd_flags
+ ;;
+*)
+ echo "Usage: $0 {start}"
+ exit 1
+ ;;
+esac
+exit $?